Bug 845655 - Pickle error when adding a distributor to a group
Pickle error when adding a distributor to a group
Product: Pulp
Classification: Community
Component: async/tasks (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Jason Connor
Preethi Thomas
: Triaged
: 852790 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-08-03 14:39 EDT by Jay Dobies
Modified: 2014-03-30 21:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-09 12:07:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2012-08-03 14:39:14 EDT
012-08-03 14:25:06,656 9010:140463080208128: pulp.server.dispatch.call:ERROR: call:191 Exception encountered while pickling: args
2012-08-03 14:25:06,656 9010:140463080208128: pulp.server.dispatch.call:ERROR: call:192 'NoneType' object is not callable
Traceback (most recent call last):
  File "/home/jdob/code/pulp/platform/src/pulp/server/dispatch/call.py", line 187, in serialize
    data[field] = pickle.dumps(getattr(self, field))
  File "/usr/lib64/python2.7/pickle.py", line 1374, in dumps
    Pickler(file, protocol).dump(obj)
  File "/usr/lib64/python2.7/pickle.py", line 224, in dump
  File "/usr/lib64/python2.7/pickle.py", line 286, in save
    f(self, obj) # Call unbound method with explicit self
  File "/usr/lib64/python2.7/pickle.py", line 600, in save_list
  File "/usr/lib64/python2.7/pickle.py", line 615, in _batch_appends
  File "/usr/lib64/python2.7/pickle.py", line 306, in save
    rv = reduce(self.proto)
  File "/usr/lib64/python2.7/copy_reg.py", line 84, in _reduce_ex
    dict = getstate()
TypeError: 'NoneType' object is not callable
2012-08-03 14:25:06,713 9010:140463046637312: pulp.server.dispatch.task:INFO: task:148 Task 8ce71142-dd98-11e1-965e-5254004dc3a7: CallRequest: RepoGroupManager.associate(u'comics', {'sort': None, 'skip': None, 'limit': None, 'filters': {u'id': u'avengers'}, 'fields': None, '_id': ObjectId('501c17828a905b2332000058'), 'id': '501c17828a905b2332000058'}) SUCCEEDED
Comment 1 Jay Dobies 2012-08-29 11:55:07 EDT
*** Bug 852790 has been marked as a duplicate of this bug. ***
Comment 2 Jason Connor 2012-09-18 02:37:01 EDT
This was fixed as part of another bug: 855384

Fix pushed to master in:
Comment 3 Jeff Ortel 2012-09-21 14:12:59 EDT
build: 0.328
Comment 4 Preethi Thomas 2012-09-27 11:29:32 EDT
[root@pulp-master ~]# rpm -q pulp-rpm-server

pickle error has gone away in pulp.log
Comment 5 Preethi Thomas 2013-01-09 12:07:25 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.